/*
Theme Name:   Noremax Offers
Description:  
Template:     twentytwentyfive
Version:      1.0.0
Text Domain:  noremax
*/

html {
    scroll-behavior: smooth;
}

*[id] {
    scroll-margin-top: 150px;
}

.schowanko {
    left: -9999px;
    position: absolute;
}

/* Zmiana koloru przycisku na inny przy hover */
.wp-block-button .wp-block-button__link:hover {
    background-color: var(--wp--preset--color--accent-1);
    border-color: var(--wp--preset--color--accent-1);
}

/* Poprawka wizualna */
.is-vertically-aligned-stretch .wp-block-columns {
    min-height: 100%;
}

/* Cytat */
.wp-block-quote {
    position: relative;
}

.wp-block-quote:before {
    content: "“";
    font-family: sans-serif;
    font-size: 100px;
    font-weight: bold;
    line-height: 1;
    left: -1.25%;
    opacity: .125;
    position: absolute;
    top: 0;
}

.wp-block-quote:after {
    bottom: -15%;
    content: "”";
    font-family: sans-serif;
    font-size: 100px;
    font-weight: bold;
    line-height: 1;
    opacity: .125;
    position: absolute;
    right: -1.25%;
}

/* FAQ */
details > summary {
  list-style: none;
}

details > summary::marker, /* Latest Chrome, Edge, Firefox */ 
details > summary::-webkit-details-marker /* Safari */ {
  display: none;
}

.wp-block-details {
    border-bottom: 1px solid var(--wp--preset--color--accent-3);
    padding: var(--wp--preset--spacing--20) 0;
}

.wp-block-details summary:focus {
    outline: none!important;
}

.wp-block-details summary {
    font-size: var(--wp--preset--font-size--medium);
    font-weight: bold;
    cursor: pointer;
    position: relative;
    padding-right: var(--wp--preset--spacing--40);
    transition: color 0.3s;
}

.wp-block-details summary::after {
    content: '+';
    position: absolute;
    right: 0;
    top: 0;
    font-size: 22px;
    color: #999;
    transition: transform 0.3s;
}

.wp-block-details[open] summary::after {
    content: '-';
    transform: rotate(180deg);
    color: #000;
}

/* UI updates #869aptazr */
.wp-block-button.is-btn-brown .wp-block-button__link {
	background: #c2aa9b;
	border-color: #c2aa9b;
	color: #151515
}

.wp-block-button.is-btn-brown .wp-block-button__link:hover {
	background: #e2c391;
	border-color: #e2c391;
	color: #ffffff
}

.wp-block-button.is-btn-gray .wp-block-button__link {
	background: #B6BAC3;
	border-color: #B6BAC3;
	color: #151515
}

.wp-block-button.is-btn-black-gray .wp-block-button__link {
	background: #151515;
	border-color: #151515;
	color: #ffffff
}

.wp-block-button.is-btn-black-gray .wp-block-button__link:hover {
	background: #B6BAC3;
	border-color: #B6BAC3;
	color: #151515
}